AGSC Installation Problem

Official support for: amplesound.net
dmjackson
KVRer
2 posts since 11 Sep, 2020

Post Thu Sep 10, 2020 5:48 pm

I recently purchased AGSC and am trying to use it with Logic Pro X (running macOS Version 10.15.6). I installed both the sample library and plug-in installer but whenever I go to run Logic I get a message that says:

"An error has occurred with an installed Audio Unit plug-in. Logic Pro X unexpectedly quit while trying to use the Audio Unit “Ample Guitar SC” by 'Ample Sound'. This plug-in may require an update."

Even after force closing and re-opening, I can't get past the initial load-up. The app goes unresponsive and the loading window says "Updating information about Audio Unit plug-ins..." and the only way that I'm able to get Logic to function again is when I delete the AGSC component from my components folder.

I originally downloaded the plug-in installer from the link in my email, but I also went to Myamplesound and downloaded the AGSC Installer from "My Updates" and still got the same result. Any ideas on how to fix this?

EDIT: So I downloaded AGSC on my old MacBook (macOS Version 10.13.6) and it's running perfectly fine, but I want to be able to use it on my new computer. Maybe it's not compatible with my OS anymore?

Liang[AmpleSound]
KVRer
25 posts since 29 Jun, 2017

Post Thu Sep 10, 2020 9:57 pm

@dmjackson

Sorry for the trouble, have you reboot your Mac and try it again? Could you list your Mac's specifications?

dmjackson
KVRer
2 posts since 11 Sep, 2020

Post Fri Sep 11, 2020 6:24 am

Yes, I tried rebooting but the problem still persists. Here are the specs

MacBook Pro (16-inch, 2019)
macOS Catalina Version 10.15.6
Processor 2.3 GHz 8-Core Intel Core i9
Memory 16 GB 2667 MHz DDR4
Graphics Intel UHD Graphics 630 1536 MB

ceshew
KVRer
3 posts since 16 Sep, 2020

Post Wed Sep 16, 2020 1:21 pm

I just purchased ABU and my system and situation is almost identical to dmjackson's issue reported here. I can't run Logic on this machine with the ABU component installed on the system. It just crashes with the same error message:

"An error has occurred with an installed Audio Unit plug-in. Logic Pro X unexpectedly quit while trying to use the Audio Unit “ABU” by 'Ample Sound'. This plug-in may require an update."

At this point, I can't use this software on my main machine. I also installed it on my road laptop and it works there just fine but I need it on my main machine. Again, my specs are pretty much identical to theirs.

Liang[AmpleSound]
KVRer
25 posts since 29 Jun, 2017

Post Fri Sep 18, 2020 1:53 am

@dmjackson
Just now we released an update for AGSC, could you download it and try again?

@ceshew
Have you disabled "Open GL" option in the Settings dialog?

ceshew
KVRer
3 posts since 16 Sep, 2020

Post Fri Sep 18, 2020 3:03 am

I downloaded and tried to install:

ABU_3_3_0_Installer_24IM25

and I get the same results as before with it crashing Logic if the component is installed. Another issue that hasn't been mentioned is that after installing ABU and booting Logic and the program is scanning the new ABU component, I get the "Trial version has expired" dialog box pops up and I click OK in the dialog and then it comes up a second time and I click OK to dismiss the dialog and at this point is when Logic is frozen.

I don't know where you are referring to when you ask me:

@ceshew
Have you disabled "Open GL" option in the Settings dialog?

Where is the settings dialog that you are asking about? Is it in the MAC OS? In Logic itself? In the installer for the plugin dialog? Somewhere else?

Please provide more info on how to fix this issue.

Thank you.

Ample Sound
KVRAF
1507 posts since 28 Jun, 2012

Post Fri Sep 18, 2020 4:51 am

Please disable OpenGL here
1.png
You do not have the required permissions to view the files attached to this post.

ceshew
KVRer
3 posts since 16 Sep, 2020

Post Mon Sep 21, 2020 2:41 pm

OK, I was able to install the plugin and go into Reaper and run the AUi version of ABU there and set disable OpenGL. The plugin runs in Reaper. However, going into Logic after making that setting change, I still get this:

I rebooted my system and started Logic and got the same dialog that I just sent you. Here's what it says in the Logic Plugin Manager:

Version 3.3.0 | crashed validation
You do not have the required permissions to view the files attached to this post.

Return to “Ample Sound”